version: '2.1'
services:
  db:
    image: mysql:latest
    environment:
      MYSQL_ROOT_PASSWORD: root
      MYSQL_DATABASE: tnis_local
    healthcheck:
            test: ["CMD", "mysqladmin" ,"ping", "-h", "localhost"]
            timeout: 20s
            retries: 10

  app:
    build: ./
    image: tnis-be
    restart: always
    depends_on:
      db :
          condition: service_healthy
    links:
      - db
    ports :
      - "8080:8080"
